### Method

# Gdk Paintable invalidate_size

#### Declaration [src]

    void
    gdk_paintable_invalidate_size (
      GdkPaintable* paintable
    )

#### Description [src]

Called by implementations of `GdkPaintable` to invalidate their size.

As long as the size is not invalidated, `paintable` must return the same values for its intrinsic width, height and aspect ratio.

This function will emit the `GdkPaintable::invalidate-size` signal.

If a `paintable` reports the `GDK_PAINTABLE_STATIC_SIZE` flag, it must not call this function.